summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/ChangeLog7
-rw-r--r--debian/changelog49
-rw-r--r--debian/control1
-rwxr-xr-xdebian/rc122
-rwxr-xr-xdebian/rules3
5 files changed, 182 insertions, 0 deletions
diff --git a/debian/ChangeLog b/debian/ChangeLog
index b534e7f5..a4436579 100644
--- a/debian/ChangeLog
+++ b/debian/ChangeLog
@@ -1,3 +1,10 @@
+2000-11-27 Marcus Brinkmann <marcus@gnu.org>
+
+ * changelog: Update to reflect Debian upgrade.
+ * rc: New file.
+ * rules: Install rc.
+ * control: Add Build-Depends.
+
2000-07-04 Marcus Brinkmann <marcus@gnu.org>
* changelog: Update to reflect Debian uploads.
diff --git a/debian/changelog b/debian/changelog
index df52e2fc..06235e20 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,52 @@
+hurd (20001127) unstable; urgency=low
+
+ * New snapshot from CVS, really fixes isofs now.
+
+ -- Marcus Brinkmann <brinkmd@debian.org> Mon, 27 Nov 2000 21:07:03 +0100
+
+hurd (20001126) unstable; urgency=low
+
+ * New snapshot from CVS, closes: #68417, #69281, #68626
+ * Fix in 20001030 closes: #72319
+ * debian/control: Add build dependencies, closes: #75734
+
+ -- Marcus Brinkmann <brinkmd@debian.org> Sun, 26 Nov 2000 05:53:19 +0100
+
+hurd (20001030) unstable; urgency=low
+
+ * New snapshot from CVS.
+ * Still contains all the goodies, streadev, kbd, mouse. Now opening
+ kbd, mouse more than once doesn't crash them (thanks Erik Verbruggen
+ <ejv@cs.kun.nl>)
+ * sutils/MAKEDEV.sh: kmsg is really klog.
+
+ -- Marcus Brinkmann <brinkmd@debian.org> Tue, 30 Oct 2000 18:02:29 +0200
+
+hurd (20000921) unstable; urgency=low
+
+ * New snapshot from CVS
+ * Add streamdev by OKUJI Yoshinori
+ (source: ftp://alpha.gnu.org/contrib/okuji/hurd/streamdev-19990920.tar.gz)
+ * Add kbd and mouse by UCHIYAMA Yasushi <uch@nop.or.jp>.
+ * sutils/MAKEDEV.sh: Add kbd and kmsg. No sense to add mouse, as you need
+ to configure it (see /hurd/mouse --help).
+
+ -- Marcus Brinkmann <brinkmd@debian.org> Sat, 23 Sep 2000 04:27:58 +0200
+
+hurd (20000803) unstable; urgency=low
+
+ * New snapshot from CVS.
+ * isofs: Patch to fix symlink handling.
+
+ -- Marcus Brinkmann <brinkmd@debian.org> Thu, 3 Aug 2000 21:09:44 +0200
+
+hurd (20000726) unstable; urgency=low
+
+ * New snapshot from CVS.
+ * Fixes the infamous zero hole bug (actually both of them).
+
+ -- Marcus Brinkmann <brinkmd@debian.org> Wed, 26 Jul 2000 02:24:06 +0200
+
hurd (20000703) unstable; urgency=low
* New snapshot from CVS.
diff --git a/debian/control b/debian/control
index 9bdfb88e..2f1bff32 100644
--- a/debian/control
+++ b/debian/control
@@ -3,6 +3,7 @@ Section: base
Priority: required
Maintainer: GNU Hurd Maintainers <bug-hurd@gnu.org>
Standards-Version: 2.5.0.0
+Build-Depends: mig, texinfo, tetex-bin
Package: hurd
Priority: required
diff --git a/debian/rc b/debian/rc
new file mode 100755
index 00000000..416f6d01
--- /dev/null
+++ b/debian/rc
@@ -0,0 +1,122 @@
+#!/bin/bash
+PATH=/bin:/sbin
+
+swapon -a
+
+if [ -r /fastboot ]
+then
+ rm -f /fastboot
+ echo Fast boot ... skipping disk checks
+elif [ $1x = autobootx ]
+then
+ echo Automatic boot in progress...
+ date
+
+ /sbin/fsck --preen --writable
+
+ case $? in
+ # Successful completion
+ 0)
+ ;;
+ # Filesystem modified (but ok now)
+ 1 | 2)
+ ;;
+ # Fsck couldn't fix it.
+ 4 | 8)
+ echo "Automatic boot failed... help!"
+ exit 1
+ ;;
+ # Signal that really interrupted something
+ 20 | 130 | 131)
+ echo "Boot interrupted"
+ exit 1
+ ;;
+ # Special `let fsck finish' interruption (SIGQUIT)
+ 12)
+ echo "Boot interrupted (filesystem checks complete)"
+ exit 1
+ ;;
+ # Oh dear.
+ *)
+ echo "Unknown error during fsck"
+ exit 1
+ ;;
+ esac
+fi
+
+echo -n cleaning up left over files...
+rm -f /etc/nologin
+rm -f /var/lock/LCK.*
+if test -d /tmp; then
+
+ # Forcibly remove all translators in the directory.
+ # It is then safe to attempt to remove files and descend directories.
+ # All parameters must begin with "./".
+ function remove_translators() {
+ local f
+ for f; do
+ settrans -pagfS "$f"
+ if [ -L "$f" ] || [ ! -d "$f" ]; then
+ rm "$f"
+ else
+ remove_translators "$f"/* "$f"/.[!.] "$f"/.??*
+ rmdir "$f"
+ fi
+ done
+ }
+
+ (cd /tmp
+ shopt -s nullglob
+ for f in * .[!.] .??*; do
+ case "$f" in
+ 'lost+found'|'quotas') ;;
+ *) remove_translators "./$f"
+ esac
+ done)
+
+ unset -f remove_translators # because it relies on nullglob
+
+fi
+if test -d /var/run; then
+ (cd /var/run && { rm -rf -- *; cp /dev/null utmp; chmod 644 utmp; })
+fi
+echo done
+
+# This file must exist for e2fsck to work. XXX
+touch /var/run/mtab
+
+#echo -n restoring pty permissions...
+#chmod 666 /dev/tty[pqrs]*
+#echo done
+
+#echo -n updating /etc/motd...
+#echo GNU\'s Not Unix Version `uname --release` > /tmp/newmotd
+#egrep -v 'GNU|Version' /etc/motd >> /tmp/newmotd
+#mv /tmp/newmotd /etc/motd
+#echo done
+
+chmod 664 /etc/motd
+
+(
+ trap ":" INT QUIT TSTP
+
+ if [ -d /etc/rc.boot ]
+ then
+ for i in /etc/rc.boot/S*
+ do
+ [ ! -f $i ] && continue
+ $i start
+ done
+ fi
+ if [ -d /etc/rc2.d ]
+ then
+ for i in /etc/rc2.d/S*
+ do
+ [ ! -f $i ] && continue
+ $i start
+ done
+ fi
+)
+
+date
+
diff --git a/debian/rules b/debian/rules
index 7bb66fee..53af91a9 100755
--- a/debian/rules
+++ b/debian/rules
@@ -171,6 +171,9 @@ binary-arch: build
# libexec/runsystem is managed by update-alternatives
mv debian/tmp/libexec/runsystem debian/tmp/libexec/runsystem.gnu
+# We have our own rc, slightly modified.
+ cp debian/rc debian/tmp/libexec/rc
+
$(install_file) debian/conffiles debian/tmp/DEBIAN/conffiles
$(install_file) debian/shlibs debian/tmp/DEBIAN/shlibs
$(install_script) debian/postinst debian/tmp/DEBIAN/postinst